%define upstream_name    XML-TreeBuilder
%define upstream_version 4.1

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Build a tree of XML::Element objects
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::Cover)
BuildRequires: perl(HTML::Element) >= 4.100.0
BuildRequires: perl(HTML::Tagset) >= 3.20.0
BuildRequires: perl(Module::Build)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Perl::Critic)
BuildRequires: perl(Test::Pod::Coverage)
BuildRequires: perl(XML::Parser)
BuildArch:  noarch

%description
This is just a subclass of HTML::Element. It works basically the same as
HTML::Element, except that tagnames and attribute names aren't forced to
lowercase, as they are in HTML::Element.

the HTML::Element manpage describes everything you can do with this class.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 4.100.0-2.mga3
+ Revision: 375186
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Apr 07 2011 jquelin <jquelin> 4.100.0-1.mga1
+ Revision: 81793
- update to 4.1

* Wed Mar 02 2011 jquelin <jquelin> 4.0.0-2.mga1
+ Revision: 62656
- rebuild

* Wed Feb 16 2011 jquelin <jquelin> 4.0.0-1.mga1
+ Revision: 52321
- update to 4.0

* Sun Jan 23 2011 jquelin <jquelin> 3.90.0-1.mga1
+ Revision: 34479
- mageia rebuild
- imported package perl-XML-TreeBuilder

